# For self disguises, they need to have the armor and the held item removed
# Else they see floating armor, floating held items.
# This turns the items invisible in the disguised players inventory. It does not actually remove them!
RemoveArmor: true
RemoveHeldItem: false
# An exception for creative mode as this can actually delete the item from the inventory due to creative being weird
RemoveCreativeEquipment: false

# Shall the players view their disguises?
# Best used when viewing yourself in 3rd person
ViewSelfDisguises: true

# Are self disguises enabled by default
# Default is true
ViewSelfDisguisesDefault: true

# If this is enabled and the server is 1.20.6+, players will be given the scale attribute to scale them up/down to the disguise's size
# This will only work on living disguises, and is false by default due to the possibility of abuse as it'd shrink hitboxes and the like
# This may behave unexpectably if you're playing with other scaling modifiers outside of this plugin!
# An example of what this setting does, is if you disguise as a cat you will be scaled down so your viewpoint is at the same height of an actual cat
# The player's move, jump, etc is unchanged
SelfDisguisesScaling: false

# The following two settings controls the min and max scale that can be applied to a self disguise so that the player's viewpoint will shrink/grow to match.
# This means they will not shrink below the min, and will not grow beyond the max
# 0.3 means 30% of the player's size. 0.72 means 72%, 2 means 200%, etc.
# The minimum scale (per Minecraft) is 0.06
SelfDisguisesScaleMin: 0.06
# The default is 1, so players can only shrink and if disguised as something larger, will not see themselves become taller
SelfDisguisesScaleMax: 1

# Shall the disguised hear their disguise sounds or their damage sounds.
# I disable this as it can be a little confusing when not used with self disguises
HearSelfDisguise: true

# Some disguises are rather big and tall and block your vision
# By default those disguises are 'SCALED' down, such as zombies, players, etc.
# Disguises such as sheep, silverfish, baby zombies, etc are normally short enough that it's a non-issue.

# Scaling is a 1.20.6+ feature and can only work on living entities, if scaling cannot be used, 'HIDDEN' will be used instead.
# These options do not change what other players see, they will see the disguise as normal size no matter what you pick.
# This only changes the self disguise entity that the disguised player will see at their feet.

# VISIBLE = Oversized self disguises will display at their full size, obscuring the player's viewpoint
# SCALED = Oversized self disguises will be seen as a scaled down version, acts like 'HIDDEN' if scaling isn't supported
# HIDDEN = Oversized self disgiuses will not be shown to the disguised player
TallSelfDisguises: SCALED